%define name		mozilla-firefox
%define version 1.0.6
%define advertised_version 1.0.6
%define fversion %version

#warning : always end release date with 00 
# (it should be the hour of build but it is not significant for rpm)
%define date 2005071900

%define rel 5
%define release %mkrel %rel
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define exec_name	mozilla-firefox
%define up_ca_name	firefox
%define lib_name	%exec_name-%version
%define mozillalibdir   %_libdir/%lib_name
%define mozillaincludedir %{_includedir}/%{lib_name}

%define section Networking/WWW
%define title   Mozilla Firefox

%define summ Mozilla Firefox Web Browser

%define major_nspr 4
%define epoch_nspr 2
%define lib_nspr_name %mklibname nspr %{major_nspr}
%define major_nss 3
%define epoch_nss 2
%define epoch_mozilla 0
%define lib_nss_name %mklibname nss %{major_nss}


Summary:        %summ
Name:           %name
Version:        %version
Release:        %release
Epoch:		0
License:        MPL/GPL/LGPL
Group:          Networking/WWW
URL:            http://www.mozilla.org/projects/firefox
Source0:        ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%fversion/source/%up_ca_name-%fversion-source.tar.bz2
Source2:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%fversion/source/%up_ca_name-%fversion-source.tar.bz2.asc
Source26:  	mozilla-rebuild-databases.pl.in.generatechrome
Source27:  	generate-chrome.sh
Source28:	mozilla-firefox.1
Source29:	firefox-gnomestripe-0.2.tar.bz2
Source30:	firefox-kdestripe-0.1.tar.bz2
Source31:	mozilla-firefox-1.0-migrationscript.sh

# set default homepage
Patch0:		mozilla-firefox-home-page.patch.bz2
# set default plugin dir
Patch1:		mozilla-firebird-0.6.1-plugindirs.patch.bz2
# don't check default browser at startup
Patch2:		mozilla-firefox-check-default-browser.patch.bz2
# set environment variable for old version of flash to get full speed
Patch3:		mozilla-firefox-0.8-gtk-flash.patch.bz2
# set browser name to mozilla-firefox
Patch4:		mozilla-firefox-1.0.1-browsername.patch.bz2
# fix compilation with latest freetype
Patch5:         mozilla-firefox-0.7.3-freetype-compile.patch.bz2
# fix loading of libXext.so.6 and libXt.so.6 
Patch6:		mozilla-firefox-load-full-dso.patch.bz2
# gw fix mozilla-firefox-config --idlflags
Patch7:		mozilla-firefox-1.0.4-config-script.patch.bz2
# fix language detection at startup
Patch11:	mozilla-firefox-1.0-lang.patch.bz2
# (fc) 1.0-9mdk set ps default fonts for some asiatic languages (moz patch12)
Patch12:	mozilla-firefox-1.0-psfonts.patch.bz2
# (fc) 1.0-9mdk make default plugin less annoying (moz patch 27)
Patch13:	mozilla-firefox-1.0-default-plugin-less-annoying.patch.bz2
# (fc) 1.0-9mdk use Standard Symbols L too for MathML (moz patch 42)
Patch14:	mozilla-firefox-1.0-mathml-standardsymbolsl.patch.bz2
# (fc) 1.0-9mdk fix problem with time font in MathML (moz patch 43)
Patch15:	mozilla-firefox-1.0-mathml-times.patch.bz2
# (fc) 1.0-9mdk patches for MathML (bug #176290) (moz patch 113)
Patch16:	mozilla-firefox-1.0-mathmlfixes.patch.bz2
# (fc) 1.0-9mdk Add IGP Brasil CA certificate (moz patch 131)
Patch17:	mozilla-firefox-1.0-igp-brasil.patch.bz2
# (fc) 1.0-9mdk Workaround problems with prdtoa (fedora)
Patch18:	mozilla-firefox-1.0-prdtoa.patch.bz2
# (fc) 1.0-9mdk fix separator key (moz patch181)
Patch19:	mozilla-firefox-1.0-separator.patch.bz2
# (fc) 1.0-9mdk fix frame loading in gecko (moz patch 183)
Patch20:	mozilla-firefox-1.0-frameload.patch.bz2
# (fc) 1.0-9mdk fix include path in mozilla-xpcom.pc (moz patch 183)
Patch21:	mozilla-firefox-1.0-includepath.patch.bz2
# (fc) 1.0-9mdk fix parent window level with modal dialogs (moz patch 191)
Patch22:	mozilla-firefox-1.0-parent.patch.bz2
# (fc) 1.0-9mdk fix repaint over settimeout (moz patch 192)
Patch23:	mozilla-firefox-1.0-repaint.patch.bz2
# (fc) 1.0-9mdk don't access freed rendering context (moz patch201)
Patch24:	mozilla-firefox-1.0-renderingfreed.patch.bz2
# (fc) 1.0-9mdk try to load castella PKCS#11 module if available (moz patch257)
Patch25:  	mozilla-firefox-1.0-castella.patch.bz2
# (fc) 1.0-9mdk fix and enable GTK2 filechooser (Fedora)
Patch26:	mozilla-firefox-1.0-gtkfilechooser.patch.bz2
# (fc) 1.0-9mdk fix pkgconfig calls (Moz patch262)
Patch27:	mozilla-firefox-1.0-pkgconfig.patch.bz2
# (fc) 1.0-9mdk prevent inlining of stack direction detection (moz patch267)
Patch28:	mozilla-firefox-1.0-stack-direction.patch.bz2
# (fc) 1.0-9mdk Fix problem where default apps aren't showing up in the download dialog (moz patch268)
Patch29:	mozilla-firefox-1.0-gnome-vfs-default-app.patch.bz2
# (fc) 1.0-9mdk Pango rendering (moz patch269)
Patch30:	mozilla-firefox-1.0-pango-render.patch.bz2
# (fc) 1.0-9mdk fix dynamic library loading on 64bit system (moz patch270)
Patch31:	mozilla-firefox-1.0-lib64.patch.bz2
# (fc) 1.0-9mdk fix nspr-config script to be 64bit friendly (moz patch271)
Patch32:	mozilla-firefox-1.0-lib64-nspr.patch.bz2
# (fc) 1.0-9mdk use pango for selection (moz patch272)
Patch33:	mozilla-firefox-1.0-pango-selection.patch.bz2
# (fc) 1.0-9mdk fix spacing in textarea when using pango for rendering (moz patch273)
Patch34:	mozilla-firefox-1.0-pango-space-width.patch.bz2
# (fc) 1.0-9mdk fix default apps in download dialog and kill check browser at startup UI (Fedora)
Patch35:	mozilla-firefox-1.0-default-applications.patch.bz2
# (fc) 1.0-9mdk disable software update (Fedora)
Patch36:	mozilla-firefox-1.0-software-update.patch.bz2
# (fc) 1.0-9mdk add support for GNOME icons (Fedora)
Patch37:	mozilla-firefox-1.0-stock-icons.patch.bz2
# (fc) 1.0-9mdk set icons in buttons if available (Fedora)
Patch38:	mozilla-firefox-1.0-stock-icons-fe.patch.bz2
# (fc) 1.0-9mdk fix useragent (Fedora)
Patch39:	mozilla-firefox-1.0-useragent.patch.bz2
# (fc) 1.0-9mdk change default theme
Patch40:	mozilla-firefox-1.0-stock-icons-gnomestripe-0.2.patch.bz2
# (fc) 1.0-9mdk fix about size (Debian)
Patch44:	mozilla-firefox-1.0-fixaboutsize.patch.bz2
# (fc) 1.0-9mdk don't call netstat to set entropy (Debian) (Mdk bug #9427)
Patch45:	mozilla-firefox-1.0-fixrandom.patch.bz2
# (fc) 1.0-9mdk ignore unknown mouse button even (Debian)
Patch46:	mozilla-firefox-1.0-unknownmousebutton.patch.bz2
# (fc) 1.0-9mdk download to desktop by default (Fedora)
Patch47:	mozilla-firefox-1.0-download-to-desktop.patch.bz2
# (fc) 1.0-9mdk quiet extension manager (Debian)
Patch48:	mozilla-firefox-1.0-quietextensions.patch.bz2
# (fc) 1.0-9mdk typeahead extension no longer conflicts with FF one (Christian)
Patch49:	mozilla-firefox-1.0-typeaheadextension.patch.bz2
# (fc) 1.0-9mdk fix extension manager to be multi-user (Debian)
Patch50:	mozilla-firefox-1.0-fixextensionmanager.patch.bz2
# (fc) 1.0-9mdk set kdestripe theme when running KDE
Patch51:	mozilla-firefox-1.0-kdestripe.patch.bz2
# (fc) 1.0-9mdk add -nox to allow theme registration without X running (Moz bug #265859)
Patch52:	mozilla-firefox-1.0-nox.patch.bz2
# (fc) 1.0.1-1mdk fix startup-script to open new url in new tab
Patch53:	mozilla-firefox-1.0.1-remote.patch.bz2
# (fc) 1.0.1-3mdk call g_set_application_name (CVS)
Patch54:	mozilla-firefox-1.0.1-g-application-name.patch.bz2
# (fc) 1.0.1-3mdk call g_set_application_name (CVS)
Patch55:	mozilla-firefox-1.0.1-remote-intern-atoms.patch.bz2
# (fc) 1.0.1-3mdk use gtk system colors (CVS)
Patch56:	mozilla-firefox-1.0.1-gtk-system-colors.patch.bz2
# (fc) 1.0.1-6mdk fix crash in prompt service (Moz bug #265599)
Patch57:	mozilla-firefox-1.0.1-gtkpromptservice.patch.bz2
# (fc) 1.0.1-6mdk fix modality of prompt service (Moz bug #224454)
Patch58:	mozilla-firefox-1.0.1-embedprompter-modal.patch.bz2
# (fc) 1.0.1-6mdk fix tooltip drawing in web page for embed (Moz bug #238052)
Patch59:	mozilla-firefox-1.0.1-embedtooltip.patch.bz2 
# (fc) 1.0.1-6mdk give access to DOM window for nsSecureBrowserUIImpl request (Moz bug #277587)
Patch60:	mozilla-firefox-1.0.1-securebrowserui-iirq.patch.bz2
# (fc) 1.0.1-7mdk fix tab memleaks (Moz bug #131456, 283063) (CVS)
Patch62:	mozilla-firefox-1.0.1-tabmemleaks.patch.bz2
# (fc) 1.0.2-3mdk add env variable to disable GNOME uri handler (Fedora)
Patch63:	mozilla-firefox-1.0-gnome-uriloader.patch.bz2
# (fc) 1.0.2-5mdk allow user to add search engine (Moz bug #123315)
Patch78:	mozilla-firefox-1.0.2-searchplugins.patch.bz2
# (fc) 1.0.2-6mdk fix compilation with gcc4 (Fedora)
Patch85:	mozilla-firefox-1.0-gcc4-compile.patch.bz2
# (fc) 1.0.4-1mdk fix position of IM candidate window (Fedora)
Patch86:	mozilla-firefox-1.0.4-candidate-window.patch.bz2
# (fc) 1.0.4-1mdk properly link with gfxshared (Fedora)
Patch87:	mozilla-firefox-1.0.4-gfxshared_s.patch.bz2
# (fc) 1.0.4-1mdk fix bidi justification with pango (Fedora)
Patch88:	mozilla-firefox-1.0.4-pango-bidi-justify.patch.bz2
# (fc) 1.0.4-1mdk fix compilation against fortified glibc macro (Fedora)
Patch89:	mozilla-firefox-1.0.4-recv-fortify.patch.bz2
# (fc) 1.0.4-1mdk fix cursor positionning in textarea (Fedora) 
Patch90:	mozilla-firefox-1.0.4-pango-direction.patch.bz2
# (fc) 1.0.4-1mdk fix clipped text rendering with Pango (Fedora)
Patch91:	mozilla-firefox-1.0.4-pango-rounding.patch.bz2
# (fc) 1.0.4-1mdk fix underline displayed as overstrike in CJK (Magiclinux) (Mdk bug #14331)
Patch92:	mozilla-firefox-1.0.4-underline.patch.bz2
# (fc) 1.0.4-1mdk fix pango underline displayed as overstrike in CJK (Magiclinux) (Mdk bug #14331)
Patch93:	mozilla-firefox-1.0.4-pango-underline.patch.bz2
# (fc) 1.0.6-1mdk fix warnings with latest GTK+
Patch94:	mozilla-firefox-1.0.6-fixwarnings.patch.bz2
# (fc) 1.0.6-2mdk file chooser is now modal (Fedora)
Patch95:	mozilla-firefox-1.0.6-modal-filechooser.patch.bz2
# (fc) 1.0.6-2mdk allow sending vendorComment in plugin seach
Patch96:	mozilla-firefox-1.0.6-vendor.patch.bz2
# (fc) 1.0.6-3mdk plugin finder now connects to Mandriva Club
Patch97:	mozilla-firefox-1.0.6-clubplugin.patch.bz2
# (fc) 1.0.6-3mdk add support for freedesktop mime-info (Fedora)
Patch98:	mozilla-firefox-1.0.6-uriloader.patch.bz2
# (fc) 1.0.6-4mdk fix bad aliasing with gcc4 on x86-64 (Moz bug #293307) (CVS)
Patch99:	mozilla-firefox-1.0.6-imgloader-comarray.patch.bz2
# (fc) 1.0.6-4mdk fix crash with gtk 2.7 (Moz bug #300226) (CVS)
Patch100:	mozilla-firefox-1.0.6-gtkcrash.patch.bz2

BuildRoot:      %_tmppath/%name-%version-buildroot
Requires:	gtk+2 >= 0:2.2.0
Requires:	indexhtml
BuildRequires:  pango-devel >= 1.5.90
BuildRequires:	libpng-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	gtk+2-devel
BuildRequires:  zip
BuildRequires:  libIDL2-devel
BuildRequires:  ImageMagick
#BuildRequires:  cairo-devel
%if %mdkversion > 1000
BuildRequires:  autoconf2.1
%endif
Provides:	mozilla-firebird
Obsoletes:	mozilla-firebird
Provides:	webclient

%description
The Mozilla Firefox project aims to build the most useful web browser
for all platforms.

Mozilla Firefox features:

- Popup blocking built-in
- Tabbed browsing, to view more than one web page in a single window
- A comprehensive set of privacy options
- Search tools built right into the toolbar
- Live bookmarks, using RSS
- "Hassle-free" downloading, with fewer prompts

%package -n %{lib_nspr_name}
Epoch:		%{epoch_nspr}
License:	MPL/GPL
URL:		http://www.mozilla.org/projects/nspr/index.html
Summary:	Netscape Portable Runtime Library
Group:		System/Libraries
Obsoletes:	nspr
Provides:	nspr = %{version}-%{release}
Provides:	mozilla-nspr = %{version}-%{release}

%description -n %{lib_nspr_name}
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package -n %{lib_nspr_name}-devel
Epoch:		%{epoch_nspr}
Summary:	Netscape Portable Runtime library - development files
Group:		Development/C++
Requires:	%{lib_nspr_name} = %{epoch_nspr}:%{version}-%{release}
Obsoletes:	nspr-devel
Provides:	nspr-devel = %{version}-%{release}
Provides:	libnspr-devel = %{version}-%{release}

%description -n %{lib_nspr_name}-devel
Header files for doing development with the Netscape Portable Runtime.

%package -n %{lib_nss_name}
Epoch:		%{epoch_nss}
License:	MPL/GPL
URL:		http://mozilla.org/projects/security/pki/nss/
Summary:	Network Security Services (NSS)
Group:		System/Libraries
Provides:	mozilla-nss = %{version}-%{release}

%description -n %{lib_nss_name}
Network Security Services (NSS) is a set of libraries designed 
to support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates,
and other security standards. 

%package -n %{lib_nss_name}-devel
Epoch:		%{epoch_nss}
Summary:	Network Security Services (NSS) - development files
Group:		Development/C++
Requires:	%{lib_nss_name} = %{epoch_nss}:%{version}-%{release}
Requires:	%{lib_nspr_name}-devel = %{epoch_nspr}:%{version}-%{release}
Provides:	libnss-devel = %{version}-%{release}
Provides:	nss-devel = %{version}-%{release}

%description -n %{lib_nss_name}-devel
Header files to doing development with Network Security Services.


%package devel
Requires:	%{name} = %{epoch_mozilla}:%{version}-%{release}
Summary:        Mozilla Firefox development files
Group:          Development/Other
Provides:	mozilla-firebird-devel
Obsoletes:	mozilla-firebird-devel
Requires:	%{lib_nss_name}-devel = %{epoch_nss}:%{version}-%{release}

%description devel
Mozilla Firefox development files.

%prep
%setup -q -c %{name}-%{version}
%setup -T -D -n %{name}-%{version}/mozilla
%{__tar} -xjf %{SOURCE29}
%{__tar} -xjf %{SOURCE30}
%patch0 -p1 -b .browser-home-page
%patch1 -p1 -b .plugindirs
%patch2 -p1 -b .check-default-browser
%patch3 -p1 -b .flash
%patch4 -p1 -b .browser-name
%patch5 -p1 -b .freetype2
%patch6 -p1 -b .load-full-dso
%patch7 -p1 -b .idlflags
%patch11 -p1 -b .langdetect

%patch12 -p1 -b .psfonts
%patch13 -p1 -b .defaultplugin

# MathML patches
%patch14 -p1 -b .standardsym
%patch15 -p1 -b .mathmltimes
%patch16 -p1 -b .mathmlfixes

#Other patches
%patch17 -p1 -b .brazil-igp

%patch18 -p1 -b .prdtoa
%patch19 -p1 -b .separator
%patch20 -p1 -b .frameload
%patch21 -p1 -b .includepath
%patch22 -p1 -b .parent
%patch23 -p1 -b .repaint
%patch24 -p1 -b .renderingfreed
%patch25 -p1 -b .castella
%patch26 -p1 -b .gtkfilechooser
%patch27 -p1 -b .pkgconfig
%patch28 -p1 -b .stackdirection
%patch29 -p1 -b .gnomevfsdefaultapp
%patch30 -p1 -b .pangorender
%patch31 -p1 -b .lib64
%patch32 -p1 -b .nsprlib64
%patch33 -p1 -b .pango-selection
%patch34 -p1 -b .pango-space-width
%patch35 -p1 -b .defaultapplications
%patch36 -p1 -b .disable-software-update
%patch37 -p1 -b .stock-icons
%patch38 -p1 -b .stock-icons-fe
%patch39 -p1 -b .useragent
%patch40 -p1 -b .gnomestripe
#needed by patch40
chmod +x toolkit/themes/gnomestripe/global/generate-initial-jar.sh

%patch44 -p1 -b .aboutsize
%patch45 -p1 -b .fixrandom
%patch46 -p1 -b .unknownmousebutton
%patch47 -p1 -b .download-to-desktop
%patch48 -p1 -b .quietextensions
%patch49 -p1 -b .typeaheadextension
%patch50 -p1 -b .fixextensionmanager
%patch51 -p1 -b .kdestripe
%patch52 -p1 -b .nox
%patch53 -p1 -b .remote
%patch54 -p1 -b .g_set_application_name
%patch55 -p1 -b .remote_round_trip
%patch56 -p1 -b .gtk-system-color
%patch57 -p1 -b .gtkpromptservice
%patch58 -p1 -b .embedprompter-modal
%patch59 -p1 -b .embedtooltip
%patch60 -p1 -b .securebrowserui
%patch62 -p1 -b .tabmemleaks
%patch63 -p1 -b .gnome-uriloader
%patch78 -p1 -b .searchplugins
%patch85 -p1 -b .gcc4
%patch86 -p1 -b .candidatewindow
%patch87 -p1 -b .gfxshared
%patch88 -p1 -b .pango-bidi-justify
%patch89 -p1 -b .recv-fortify
%patch90 -p1 -b .pango-direction
%patch91 -p1 -b .pango-rounding
%patch92 -p1 -b .underline
%patch93 -p1 -b .pango-underline
%patch94 -p1 -b .fixwarnings
%patch95 -p1 -b .modal-filechooser
%patch96 -p1 -b .vendor
%patch97 -p1 -b .clubplugin
%patch98 -p1 -b .uriloader
%patch99 -p1 -b .imgloader-commarray
%patch100 -p1 -b .gtkcrash

# needed by patch 17 (regenerate certdata.c)
cd security/nss/lib/ckfw/builtins
perl ./certdata.perl < ./certdata.txt
cd -

# gw the configure script doesn't substitude LIBDIR
%__sed -i -e "s!LIBDIR!%_libdir!" browser/app/mozilla.in 
autoconf

%build
%define __cputoolize	/bin/true
%if %mdkversion <= 1000
%define __libtoolize	/bin/true
%endif

# Build with -fabi-version=1 when compiling with gcc3.4+ so that a
# certain level of compatibility is kept to run Sun's Java plugin
GCC_VERSION=`gcc -dumpversion | perl -pe '/(\d+)\.(\d)\.?(\d)?/; $_="$1$2".($3||0)'`
[[ $GCC_VERSION -ge 340 ]] && export CXXFLAGS="-fabi-version=1"

export MOZ_BUILD_DATE="%{date}"
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
export MOZ_PHOENIX=1
%configure \
	--disable-pedantic \
	--without-system-nspr --enable-nspr-autoconf \
	--enable-optimize="%optflags" \
	--disable-debug	--disable-ldap --disable-tests \
	--disable-mailnews --disable-composer \
	--disable-strip \
	--disable-freetype2 \
	--enable-pango \
	--enable-crypto --enable-xinerama \
	--with-system-jpeg --with-system-png --with-system-zlib \
	--enable-default-toolkit=gtk2 --enable-xft \
	--enable-extensions=cookie,xml-rpc,xmlextras,pref,transformiix,universalchardet,webservices,inspector,negotiateauth,typeaheadfind \
	--enable-single-profile --disable-profilesharing \
	--enable-ipv6 \
	--disable-installer \
	--with-default-mozilla-five-home=%{_libdir}/%{lib_name}
# let jars get compressed
%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl
%make

%install
%__rm -rf %buildroot
%makeinstall_std 

#replace browser version in user agent string
sed -i -e '/general\.useragent\.appSub/{N;s/%{version}/%{advertised_version}/g;}'  %buildroot%{_libdir}/%{lib_name}/defaults/pref/firefox.js 

#move nspr/nss to %{_libdir}
mv $RPM_BUILD_ROOT%{mozillalibdir}/{libnspr4.so,libplc4.so,libplds4.so,libnss3.so,libnssckbi.so,libsmime3.so,libsoftokn3.so,libssl3.so,libsoftokn3.chk} $RPM_BUILD_ROOT%{_libdir}

# workaround for bug 81429
(cd $RPM_BUILD_ROOT%{mozillalibdir} 
ln -s ../libnssckbi.so libnssckbi.so
)

# copy the nss files to the right place
mkdir -p $RPM_BUILD_ROOT%{mozillaincludedir}/nss/
find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 $RPM_BUILD_ROOT%{mozillaincludedir}/nss/ \;

#fix nspr location in nspr-config
cat nsprpub/config/nspr-config | sed -e "s|-I.*/nspr|-I\${prefix}/include/%{lib_name}/nspr|g" > $RPM_BUILD_ROOT%{_bindir}/nspr-config
chmod a+x $RPM_BUILD_ROOT%{_bindir}/nspr-config

ln -s -f %{exec_name}-nspr.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/mozilla-nspr.pc
ln -s -f %{exec_name}-nss.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/mozilla-nss.pc

%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/

cp -f browser/app/profile/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/install.rdf $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/

#copy migration script
cp %{SOURCE31} $RPM_BUILD_ROOT/%{mozillalibdir}/init.d/S01migration.sh
chmod +x $RPM_BUILD_ROOT/%{mozillalibdir}/init.d/S01migration.sh


# Menu
%__mkdir_p %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} << EOF
?package(%{name}): \
command="%_bindir/mozilla-firefox" \
needs="X11" \
icon="%{name}.png" \
section="%section" \
title="%title" \
startup_notify="true" \
longtitle="Lightweight Web Browser" \
accept_url="true" \
mimetypes="text/html,text/xml,application/xhtml+xml,application/vnd.mozilla.xul+xml,text/mml"
EOF

# icons
%__mkdir_p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
convert browser/app/default.xpm %buildroot/%_liconsdir/%{name}.png
convert -scale 32x32 browser/app/default.xpm %buildroot/%_iconsdir/%{name}.png
convert -scale 16x16 browser/app/default.xpm %buildroot/%_miconsdir/%{name}.png


# move Firefox stuff
%__mv %buildroot%_bindir/%up_ca_name %buildroot%_bindir/%exec_name
rm -f  %buildroot%_bindir/mozffremote
ln -s %_bindir/%exec_name %buildroot%_bindir/mozffremote

# create file allowing identification of distribution
%if %mdkversion >= 200600
cat << EOF > $RPM_BUILD_ROOT%{mozillalibdir}/defaults/pref/vendor.js
pref("general.useragent.vendor", "Mandriva");
pref("general.useragent.vendorSub", "%{version}-%{release}");
pref("general.useragent.vendorComment","%{mandriva_release}");
EOF
%endif

# install our rebuild file
cat %{SOURCE26} | sed -e "s|mozilla-MOZILLA_VERSION|%{lib_name}|g;s|LIBDIR|%{_libdir}|g;s|MOZILLA_NAME|%{exec_name}|g" > \
  $RPM_BUILD_ROOT%{mozillalibdir}/mozilla-rebuild-databases.pl

chmod 755 $RPM_BUILD_ROOT%{mozillalibdir}/mozilla-rebuild-databases.pl

# install our file to rebuild the chrome registry so that we can
# produce firefox extensions in RPM
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/chrome/rc.d
cat %{SOURCE27} > \
  $RPM_BUILD_ROOT%{mozillalibdir}/chrome/rc.d/generate-chrome.sh

chmod 755 $RPM_BUILD_ROOT%{mozillalibdir}/chrome/rc.d/generate-chrome.sh

%{__install} -p -D %{SOURCE28} $RPM_BUILD_ROOT%{_mandir}/man1/%{exec_name}.1

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{mozillalibdir}/chrome/{browser,classic,comm,embed-sample,en-US,inspector,modern,pipnss,pippki,svg,toolkit,kdestripe,gnomestripe,help}

#multiarch 
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/%{exec_name}-config
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/nspr-config
%multiarch_includes $RPM_BUILD_ROOT%{mozillaincludedir}/{mozilla-config.h,js/jsautocfg.h}

#ghost files

touch $RPM_BUILD_ROOT%{mozillalibdir}/chrome/chrome.rdf
for overlay in {"browser","communicator","inspector","messenger","navigator"}; do
  %{__mkdir_p} $RPM_BUILD_ROOT%{mozillalibdir}/chrome/overlayinfo/$overlay/content
  touch $RPM_BUILD_ROOT%{mozillalibdir}/chrome/overlayinfo/$overlay/content/overlays.rdf
done
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/uninstall
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/chrome
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/uninstall/Uninstall
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/chrome
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/uninstall
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/temp
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/chrome/kdestripe.jar
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/uninstall/Uninstall
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/chrome
%__mkdir_p $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/uninstall
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/chrome/gnomestripe.jar
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/uninstall/Uninstall
touch $RPM_BUILD_ROOT%{mozillalibdir}/components.ini
touch $RPM_BUILD_ROOT%{mozillalibdir}/defaults.ini
touch $RPM_BUILD_ROOT%{mozillalibdir}/components/compreg.dat
touch $RPM_BUILD_ROOT%{mozillalibdir}/components/xpti.dat
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/installed-extensions-processed.txt
touch $RPM_BUILD_ROOT%{mozillalibdir}/extensions/Extensions.rdf
touch $RPM_BUILD_ROOT%{mozillalibdir}/chrome/rc.d/installed-chrome.txt
touch $RPM_BUILD_ROOT%{mozillalibdir}/chrome/installed-chrome.txt.rc.d.old

%post
%update_menus
%{mozillalibdir}/mozilla-rebuild-databases.pl
export MOZ_DISABLE_GNOME=1
export HOME="/root"
%name -- -nox -install-global-theme %{mozillalibdir}/chrome/kdestripe.jar
%name -- -nox -install-global-theme %{mozillalibdir}/chrome/gnomestripe.jar

if [ "$1" = "2" ]; then
    update-alternatives --remove webclient-gnome %{_bindir}/mozffremote
    update-alternatives --remove webclient-kde %{_bindir}/mozffremote
fi

%preun
# is an upgrade
if [ "$1" == "1" ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun
%clean_menus

%post devel
if [ "$1" = "2" ]; then
    update-alternatives --remove mozilla-config %_bindir/%exec_name-config
fi

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README.txt LEGAL LICENSE
%_bindir/%exec_name
%_bindir/mozffremote
%dir %mozillalibdir
%mozillalibdir/*
%ghost %{mozillalibdir}/chrome/chrome.rdf
%ghost %{mozillalibdir}/chrome/rc.d/installed-chrome.txt
%ghost %{mozillalibdir}/chrome/installed-chrome.txt.rc.d.old
%ghost %{mozillalibdir}/chrome/overlayinfo/browser/content/overlays.rdf
%ghost %{mozillalibdir}/chrome/overlayinfo/communicator/content/overlays.rdf
%ghost %{mozillalibdir}/chrome/overlayinfo/inspector/content/overlays.rdf
%ghost %{mozillalibdir}/chrome/overlayinfo/messenger/content/overlays.rdf
%ghost %{mozillalibdir}/chrome/overlayinfo/navigator/content/overlays.rdf
%ghost %{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/uninstall/Uninstall
%ghost %{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/chrome/kdestripe.jar
%ghost %{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/uninstall/Uninstall
%ghost %{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/chrome/gnomestripe.jar
%ghost %{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/uninstall/Uninstall
%ghost %{mozillalibdir}/extensions/Extensions.rdf
%ghost %{mozillalibdir}/extensions/installed-extensions-processed.txt
%ghost %{mozillalibdir}/components.ini
%ghost %{mozillalibdir}/defaults.ini
%ghost %{mozillalibdir}/components/compreg.dat
%ghost %{mozillalibdir}/components/xpti.dat
%if %mdkversion >= 200600
%config %{mozillalibdir}/defaults/pref/vendor.js
%endif

%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_mandir/man1/*

%files -n %{lib_nspr_name} 
%defattr(-, root, root)
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so

%files -n %{lib_nspr_name}-devel 
%defattr(-, root, root)
%{_bindir}/nspr-config
%multiarch %{multiarch_bindir}/nspr-config
%dir %{mozillaincludedir}
%{mozillaincludedir}/nspr
%{_libdir}/pkgconfig/*-nspr.pc
%{_datadir}/aclocal/nspr.m4

%files -n %{lib_nss_name} 
%defattr(-, root, root)
%{_libdir}/libnssckbi.so
%{_libdir}/libnss3.so
%{_libdir}/libsmime3.so
%{_libdir}/libsoftokn3.so
%{_libdir}/libssl3.so

%{_libdir}/*.chk

%files -n %{lib_nss_name}-devel 
%defattr(-, root, root)
%{mozillaincludedir}/nss
%{_libdir}/pkgconfig/*-nss.pc

%files devel
%defattr (-,root,root)
%{_bindir}/%exec_name-config
%multiarch %{multiarch_bindir}/%exec_name-config
%multiarch %{multiarch_includedir}/%lib_name/js/jsautocfg.h
%multiarch %{multiarch_includedir}/%lib_name/mozilla-config.h
%mozillaincludedir/*
%exclude %mozillaincludedir/nss
%exclude %mozillaincludedir/nspr
%dir %_datadir/idl/%lib_name
%_datadir/idl/%lib_name/*
%_libdir/pkgconfig/*gtkmozembed.pc
%_libdir/pkgconfig/*js.pc
%_libdir/pkgconfig/*plugin.pc
%_libdir/pkgconfig/*xpcom*.pc

%changelog
* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-5mdk
- set BUILD_OFFICIAL/MOZILLA_OFFICIAL, this will fix buildID and 
  Mdk bug #17265

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-4mdk
- Patch99 (CVS): fix bad aliasing with gcc 4 on x86-64 (Moz bug #293307)
- Patch100 (CVS): fix crash with gtk 2.7 (Moz bug #300226)

* Wed Aug 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-3mdk
- Patch97: Plugin finder connects now to Mandriva Club
- Patch98 (Fedora): add support for freedesktop mime-info

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-2mdk
- Patch95 (Fedora): file chooser is now modal
- Add vendor/vendorSub/vendorComment to default preferences
- Patch96 : allow sending vendorComment when searching for plugins
- fix buildid in firefox.js

* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-1mdk 
- Release 1.0.6
- Patch94 (Debian): fix gdk warning
- Remove patch61 (merged upstream)

* Tue Jul 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-3mdk
- Patch92 (Magiclinux): fix underline for CJK (Mdk bug #14331)
- Patch93 (Magiclinux): fix underline for CJK with pango (Mdk bug #14331)

* Wed Jun  1 2005 Gtz Waschk <waschk@mandriva.org> 1.0.4-2mdk
- fix the menu longtitle (bug #14730)
- mkrel
- fix mozilla-firefox-config (bug #16034)

* Tue May 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdk 
- Release 1.0.4
- fix menu entry to accept url (Mdk bug #16103)
- remove patches 43, 64->77, 79->84 (merged upstream)
- Patch86 (Fedora): fix position for IM candidate window
- Patch87 (Fedora): properly link with gfxshared
- Patch88 (Fedora): fix bidi justification with pango
- Patch89 (Fedora): fix compilation against fortified glibc macro
- Patch90 (Fedora): fix cursor positionning in textarea
- Patch91 (Fedora): fix clipped text rendering with Pango 

* Tue May 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-7mdk 
- Patch default user agent string to say this is version 1.0.4 of 
  Firefox, need to circonvent addons.mozilla.org browser detection
  (Mdk bug #15987)

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-6mdk 
- Security update to sync with 1.0.4 :
 - Patch79 (CVS): fix Moz bug #290949
 - Patch80 (CVS): fix Moz bug #292691 
 - Patch81 (CVS): clear memory after freeing it (Moz bug #290476)
 - Patch82 (CVS): fix Moz bug #290908
 - Patch83 (CVS): fix Moz bug #290777
 - Patch84 (CVS): fix Moz bug #290982
- Patch85 (Fedora): fix build with gcc 4

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-5mdk 
- Patch78 (Debian) : allow adding search engines as user (Moz bug 123315)

* Mon Apr 18 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-4mdk
- Security update to sync with 1.0.3 :
  - Update patch64 with fix for Moz bug #288818
  - Update patch65 with fix for Moz bug #289171
  - Patch66 (CVS): fix showing a blocked popup has chrome privs (Moz bug #289204)
  - Patch67 (CVS): fix XSS attack with getter/setter (Moz bug #289675)
  - Patch68 (CVS): fix link tag allows to execute arbitrary code without user interaction (Moz bug #290036)
  - Patch69 (CVS): fix search plugins can get javascript access to currently active tab (Moz bug #290037)
  - Patch70 (CVS): fix arbitrary code execution via sidebar (Moz bug #290079)
  - Patch71 (CVS): fix crash in xpinstall (Moz bug #290162)
  - Patch72 (CVS): fix privilege escalation via DOM property overrides part1 (Moz bug #289083)
  - Patch73 (CVS): fix privilege escalation via DOM property overrides part2 (Moz bug #289961)
  - Patch74 (CVS): fix regression caused by security fix in 1.0.2 (Moz bug #287459)
  - Patch75 (CVS): fix crash in typeahead (Moz bug #274625)
  - Patch76 (CVS): fix privilege escalation via DOM property overrides part3 (Moz bug #289074)
  - Patch77 (CVS): fix scanner overflow (Moz bug #244177)

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk 
- Update patch26 to really really register FF (Mdk bug #14987), 
  set HOME if it isn't set (fix segfault in mandrake_firstime) and 
  fix perl syntax (rafael)
- Patch63 (Fedora) : add env variable to disable GNOME url handler 
- Patch64 (CVS): fix JS vulnerability (Moz bug #288688)
- Patch65 (CVS): fix chrome vulnerability (Moz bug #288556)

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk 
- Update source31 to not complain when profile directory doesn't exist (laurent)
- Update source30/31 : fix bad appeareance for about:plugins in KDE/GNOME themes (gb)
- Update source30 : fix wrong sizing for Crystal buttons (Nikos Platis)
- Update source26 to really register FF 
- Update patch40 to use original version of gnomestripe for classic theme

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk 
- Security release : 1.0.2

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-11mdk 
- Fix source26 and correctly replace exec name in it 
- Update source30/patch40 to fix Mdk bug #14929

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-10mdk 
- Update source26 to not delete chrome.rdf, fixes Mdk bug #14795

* Fri Mar 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-9mdk 
- Update source30, patch40/remove source31, patch41 to generate gnomestripe in a separate jar
- Update source26 to not crash when using sudo to install package
- Update patch51 to use gnomestripe for GNOME, kdestripe for KDE or classic for others
- add Source31: migration script, fix missing icons when using old profile

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-8mdk 
- Fix nspr header location in nspr-config

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-7mdk 
- Patch61 (CVS): fix x86-64 detection (Moz bug #265536)
- Patch62 (CVS): fix tab memleaks (Moz bug #283063)
- Force generation of cert infos (fix Mdk bug #14155)
- Update patch36 to enable update for extensions/themes (Mdk bug #14235)

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk 
- Patch57: fix crash in prompt service (Moz bug #265599)
- Patch58: fix modality of prompt service (Moz bug #224454)
- Patch59: fix tooltip drawing in web page for embed (Moz bug #238052)
- Patch60: give access to DOM window for nsSecureBrowserUIImpl request (Moz bug #277587)

* Wed Mar  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- fix menu longtitle (mdk bug #13880)

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk 
- Update patch53 to fix Mdk bug #14195

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk 
- Patch54 (CVS): call g_set_application_name
- Patch55 (CVS): reduce round trips to xserver during remote control
- Patch56 (CVS): Request the correct system colors from gtk 

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk 
- Update patch4 to fix Mdk bug 14186 

* Fri Feb 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch 42 (merged upstream)
- put nss and nspr in their own subpackages, to replace mozilla ones
- Patch53 : open new urls on CLI in new-tab, duplicating mozffremote feature
- Drop devel alternatives, firefox devel packages is not the exactly same
  beast as mozilla devel packages.

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-13mdk 
- Remove some dependency exceptions
- Drop webclient-gnome/kde alternative

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-12mdk 
- Update patch49, should fix Mdk bug 12537

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-11mdk 
- Build typeaheadfind extension
- Disable SVG support (not stable enough)
- multiarch

* Sun Jan 23 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.0-10mdk 
- fix buildrequires

* Thu Jan 20 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-9mdk 
- Include mozilla package patches :
 - Patch12: set ps default fonts for some asiatic languages
 - Patch13: make default plugin less annoying 
 - Patch14: use Standard Symbols L too for MathML
 - Patch15: fix problem with time font in MathML
 - Patch16: patches for MathML
 - Patch17: Add IGP Brasil CA certificate
 - Patch18: Workaround problems with prdtoa
 - Patch19: fix separator key
 - Patch20: fix frame loading in gecko
 - Patch21: fix include path in mozilla-xpcom.pc
 - Patch22: fix parent window level with modal dialogs
 - Patch23: fix repaint over settimeout 
 - Patch24: don't access freed rendering context
 - Patch25: try to load castella PKCS#11 module if available 
 - Patch26: fix and enable GTK2 filechooser
 - Patch27: fix pkgconfig calls
 - Patch28: prevent inlining of stack direction detection
 - Patch30: Pango rendering
 - Patch31: fix dynamic library loading on 64bit system
 - Patch32: fix nspr-config script to be 64bit friendly
 - Patch33: use pango for selection
 - Patch34: fix spacing in textarea when using pango for rendering

- Patch29 (Fedora): Fix problem where default apps aren't showing up in the download dialog (Fedora)
- Patch35 (Fedora): fix default apps in download dialog and kill check browser at startup UI
- Patch36 (Fedora): disable software update
- Patch37 (Fedora): add support for GNOME icons 
- Patch38 (Fedora): set icons in buttons if available
- Patch39 (Fedora): fix useragent
- Patch40 (Fedora): change default theme 
- Patch41 (Fedora): various fixes for gnomestripes
- Patch42 (CVS): fix crash when fonts are no longer available (Moz bug #180309)
- Patch43 (Debian): fix destdir in makefile 
- Patch44 (Debian): fix about size 
- Patch45 (Debian): don't call netstat to set entropy (Mdk bug #9427)
- Patch46 (Debian): ignore unknown mouse button even
- Patch47 (Fedora): download to desktop by default
- Patch48 (Debian): quiet extensions manager
- Patch49 (Christian): typeahead extension no longer conflicts with FF one
- Patch50 (Debian): fix extension manager to be multi-user
- Patch51: set kdestripe theme when running under KDE
- Patch52: allow theme registration without X running (Moz bug #265859)
- Update patch11 with more simple version from Debian
- Source30 : KDE CrystalSVG icons for Firefox
- Source31 : missing icons for gnomestripe

- Clean specfile :
 - Use fixed release date as build date
 - Don't let build system strip files, let rpm handle it (fedora)
 - Use a subdirectory for storing sources, allowing parallel build with seamonkey
 - disable freetype2 build
 - enable pango rendering

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-8mdk
- patches from Yuri Bugelli:
  - don't try to register as default browser on startup
  - fix default home page

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-7mdk
- add the releasetag stuff

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-6mdk
- fix language detection again, thanks to Yuri Bugelli)

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-5mdk
- fix bug 12588 (language detection, thanks to Eric Pielbug)

* Sat Nov 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- fix buildrequires

* Wed Nov 24 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.0-3mdk
- rebuild with new cairo and pixman libs
- export HOME before running mozilla-register otherwise we get segfaults
  when installing under drakX
- do not use soundwrapper, it doesn't work with Java and Flash supports 
  esd natively.

* Tue Nov 16 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.0-2mdk
- merge patches from MDK and RVLX

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- fix buildrequires
- new version

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc2.1mdk
- fix source URL
- new version

* Wed Nov  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.rc1.2mdk
- really load libXext.so.6 and libXt.so.6

* Thu Oct 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc1.1mdk
- drop patch 10
- drop merged patches 6,7,8,9
- rediff patch 4
- add gpg signature
- new version

* Mon Oct 11 2004 Benoit des Ligneris <bdesligneris@revolutionlinux.com> 0.10.1-6mdk
- patch for langage detection (use the locales of the user)
- update the patch to accomodate the new naming schemes of langages files

* Mon Oct 11 2004 Benoit des Ligneris <bdesligneris@revolutionlinux.com> 0.10.1-5mdk
- update mozilla-rebuildatabase.pl.in so that it rebuild the installed-chrome.txt
  according to the rc.d directory (source26)
- put the script to do this in source27 (generate-chrome.sh)
- remove the debug infor of the generate-chrome.sh script

* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.1-4mdk
- update from Crispin Boylan:
  - clean up build options, remove old or obsolete configure switches 
  - use mozilla standard enable-extensions list
 
* Mon Oct  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.1-3mdk
- update menu entry
- simplify post script
- reenable freetype
- port some patches from fedora

* Mon Oct  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.1-2mdk
- enable optimization (Giuseppe Ghib)

* Sun Oct  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.10.1-1mdk
- New release 0.10.1

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-3mdk
- fix mozilla-firefox script (bug 11674)

* Sun Sep 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-2mdk
- replace Xvfb hack by mozilla-firefox -register call (bug #11604)

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-1mdk
- fix installation
- fix menu section to make builds on older distributions simple
- new version

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.9.3-3mdk
- fix menu entry

* Fri Aug 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.3-2mdk
- run scripts this package owns in preun (so they are actually present)

* Thu Aug  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- New release 0.9.3

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-3mdk
- from debian package
  - sleep 15 seconds
  - disable installer configure option
  - use cairo for svg

* Thu Jul 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-2mdk
- enable svg

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- use hacks from the fedora package to run mozilla-firefox as root first
- update mozffremote script
- fix source URL
- New release 0.9.2

* Tue Jun 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- fix buildrequires for 10.0
- fix startup script again
- New release 0.9.1

* Sun Jun 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix mozffremote startup script

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix buildrequires

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- patch 4: rename firefox to mozilla-firefox everywhere
- drop patch 2
- add rebuild databases script
- simplify installation
- disable profile sharing
- Rebuild with -fabi-version=1 to retain compatibility with statically
  linked Sun's JRE 1.4.2 plugin
- disable freetype2 build
- fix source URL
- New release 0.9

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-15mdk
- patch3: fix flash plugin
- fix menu entry

* Mon Mar 01 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-14mdk
- move alternatives scripts to devel package %%post/%%postun
- install mozilla-rebuild-databases.pl

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-13mdk
- don't own mozilla-config

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-12mdk
- more exact regex to match mozilla-<version>
- use macros where possible
- own %%_includedir/%{lib_name} directory
- alternativize mozilla-config and pkgconfig files
- export MOZ_BUILD_DATE
- use %%configure

* Mon Feb 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-11mdk
- fix webclient-kde alternative
- don't set the mozilla version to the firefox version
- use the makeinstall_std macro
- simplify the build

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-10mdk
- symlink %%exec_name-config to mozilla-config
- fix paths in mozilla-config

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-9mdk
- fix patch 2 (--short-circuit is evil)

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-8mdk
- fix conflict with other mozillas (Dank an Frederik Himpe)

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-7mdk
- compress the jar files
- revert to the free icons

* Sat Feb 14 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-6mdk
- add epochs
- update menu section for 10.0
- merge icons provided by Mark Baas <m.baas@zarb.org>

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-5mdk
- revert icon change

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-4mdk
- replace the icon

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-3mdk
- update the mozffremote script to open a new window if started without an URL
- use the mozffremote script in the menu

* Tue Feb 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- register firefox as gnome webclient
- add mozffremote script from kk1

* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- use Imagemagick for the icons
- renamed from mozilla-firebird
- new version

* Wed Oct 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- new version

* Fri Sep  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-6mdk
- patch1: set the plugin dir to %_libdir/mozilla/plugins and ~/.mozilla/plugins

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-5mdk
- arrgh, fix the spec file 

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- don't provide libnspr and libnss

* Mon Sep 1 2003 Tibor Pittich <Tibor Pittich@phuture.sk> 0.6.1-3mdk
- requires indexhtml

* Mon Sep 1 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.1-2mdk
- merged patch from mozilla to set default home page as other browsers
  included in mandrake distro (#5029)

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- moz_name is 1.5a
- source url
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.7mdk
- fix typo in the devel conflicts

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.6mdk
- disable pedantic flag to fix build

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.5mdk
- add some more conflicts
- fix dir ownership

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.4mdk
- remove redundant buildrequires
- the devel package conflicts with mozilla-devel (pkgconfig files)
- don't own %_libdir/pkgconfig
- move pkgconfig files to the devel package 

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.3mdk
- fix buildrequires

* Mon May 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.2mdk
- change package name - all characters now are lowercase
- mixed numeric and and alphanumeric characters in release name isn't good
  idea (Guillaume Rousse)
- import icons from Han's rpm - http://iconpacks.mozdev.org/phoenix/
  credit to J.A. Magallon
- build with separated lib home - this can allow coexist together with mozilla
- disable ldap stuff
- improved description

* Sat May 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.UNTESTED.1mdk
- WOW! now we have MozillaFirebird package in Cooker :-)
- based on mozilla.spec
- this is pre-alfa testing rpm build!! - new versions of rpm package will be
  released soon.. Please test it and report problems..
- libnspr and libnss is packaged with MozillaFirebird package due to mozilla's
  libraries, now only devel package is separated

